package domain

type TmallExchangeMessageAddResultSet struct {
	/*
	   异常信息     */
	Exception *string `json:"exception,omitempty" `

	/*
	   错误码     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   错误信息     */
	ErrorMsg *string `json:"error_msg,omitempty" `

	/*
	   留言信息     */
	Results *[]TmallExchangeMessageAddRefundMessage `json:"results,omitempty" `
}

func (s *TmallExchangeMessageAddResultSet) SetException(v string) *TmallExchangeMessageAddResultSet {
	s.Exception = &v
	return s
}
func (s *TmallExchangeMessageAddResultSet) SetErrorCode(v string) *TmallExchangeMessageAddResultSet {
	s.ErrorCode = &v
	return s
}
func (s *TmallExchangeMessageAddResultSet) SetErrorMsg(v string) *TmallExchangeMessageAddResultSet {
	s.ErrorMsg = &v
	return s
}
func (s *TmallExchangeMessageAddResultSet) SetResults(v []TmallExchangeMessageAddRefundMessage) *TmallExchangeMessageAddResultSet {
	s.Results = &v
	return s
}
